org.apache.cassandra.utils.memory

## Class HeapAllocator

- java.lang.Object
- - org.apache.cassandra.utils.memory.AbstractAllocator
  - - org.apache.cassandra.utils.memory.HeapAllocator

-     public final class HeapAllocator
      extends AbstractAllocator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HeapAllocator` | `instance`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `allocate(int size)`

    - ### Methods inherited from class org.apache.cassandra.utils.memory.AbstractAllocator

      `clone`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final HeapAllocator instance

  - ### Method Detail

    - #### allocate

          public java.nio.ByteBuffer allocate(int size)

      Specified by:
        `allocate` in class `AbstractAllocator`

Copyright © 2018 The Apache Software Foundation